View all methods
initiatives.list
Lists all initiatives with summary information.
Facts
| Method | GET https://api.getdx.com/initiatives.list |
| Required scope | scorecards:read |
Arguments
Required arguments
| Name | Type | Description |
|---|---|---|
token |
Token |
Auth token passed as an HTTP header. |
Optional arguments
| Name | Type | Description |
|---|---|---|
published |
Boolean |
Filter by published status. |
priority |
Integer |
Filter by priority (0-4, lower is higher priority). |
tags |
String |
Comma-separated tags to filter by. |
limit |
Integer |
Limit the number of initiatives per page. Maximum 100, defaults to 50. |
cursor |
String |
Cursor used to request the next page. Can be found in prior request via response_metadata.next_cursor. |
Example request
This is a typical request:
curl -X GET "https://api.getdx.com/initiatives.list?limit=10&published=true" \
-H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx'
Example response
This is a typical success response:
{
"ok": true,
"initiatives": [
{
"id": "qypefayqpvnf",
"name": "Improve API Performance",
"description": "Reduce API response times by 50%",
"scorecard_id": "aglefayqpvnt",
"scorecard_name": "Platform Health",
"priority": 1,
"published": true,
"complete_by": "2025-12-31T00:00:00Z",
"percentage_complete": 45.5,
"passed_checks": 10,
"total_checks": 22,
"remaining_dev_days": 8.5,
"owner": {
"id": "uqlyfayqpvom",
"name": "Jane Smith",
"email": "jane@example.com"
},
"tags": [
{
"value": "backend",
"color": "#3B82F6"
}
]
}
],
"response_metadata": {
"next_cursor": "cltefayqpvny"
}
}
Response fields
Initiative object
| Field | Type | Description |
|---|---|---|
id |
String |
Initiative ID. |
name |
String |
Initiative name. |
description |
String |
Initiative description. |
scorecard_id |
String |
Parent scorecard public ID. |
scorecard_name |
String |
Parent scorecard name. |
priority |
Integer |
Priority level (0-4, lower is higher priority). |
published |
Boolean |
Whether initiative is published. |
complete_by |
String |
ISO 8601 due date. |
percentage_complete |
Number |
Completion percentage (0-100). |
passed_checks |
Integer |
Number of passed checks. |
total_checks |
Integer |
Total number of checks. |
remaining_dev_days |
Number |
Estimated remaining effort in dev days. |
owner |
Object |
Owner information with id, name, and email fields. |
tags |
Array |
Array of tag objects with value and color fields. |
Errors
This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.
| Error | Description |
|---|---|
not_authed |
No authentication token provided. |
invalid_auth |
Some aspect of authentication cannot be validated. |
invalid_arguments |
One or more of the arguments provided is invalid. |